<template>
  <Inner>
    <template>
      <div class="container">
        <div class="inner-banner banner_with_spacing">
          <div class="banner_img"><img src="/front-end/images/cat_img.jpg"></div>
          <div class="banner_top_mask"><img src="/front-end/images/inner-banner.png"></div>
          <div class="banner_main_cont">
            <h1 class="h1">Contact Us</h1>
            <nav aria-label="breadcrumb">
              <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="/">Home</a></li>
                <li>Contact Us</li>
              </ol>
            </nav>
          </div>
        </div>
      </div>
      <div class="cms_content contact_cont">
        <div class="container">
          <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-6">
              <h2>Contact info</h2>
              <ul>
                <li>
                  <h3>Don't risk buying cheap inferior product.</h3>
                  <p>At Rentals R Us we only stock quality products and for extra peace of mind we not only provide a full
                    warranty while on hire but will cover your items a further 4 months beyond the last of your rental
                    payments!</p>

                </li>
                <li>
                  <span class="material-icons-outlined">phone</span>
                  <label>Call Customer Service</label>
                  <a href="tel:0893797375">(08) 9379 7375</a>
                </li>
              </ul>
              <iframe
                src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d5073.949931248991!2d115.9287421594687!3d-31.921392896787474!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x2a32ba3dcff397cd%3A0xc435a2dad184f4fe!2s6%20Goongarrie%20St%2C%20Bayswater%20WA%206053%2C%20Australia!5e0!3m2!1sen!2sin!4v1702888987091!5m2!1sen!2sin"
                width="100%" height="300" style="border:0;" allowfullscreen="" loading="lazy"
                referrerpolicy="no-referrer-when-downgrade"></iframe>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6 contact_form">
              <contactUsForm></contactUsForm>
            </div>
          </div>
        </div>
      </div>
    </template>
  </Inner>
</template>
<script>
import Inner from '~/layouts/inner.vue'
import options from '~/assets/options';
import contactUsForm from '~/components/front-end/contact-us-form.vue';
export default {
  components: { Inner, contactUsForm },
  async asyncData({ $axios, params, store,error }) {
    if(!store.state.front_end_data.url_available) {
          return error({ statusCode: 404, message: 'Page Not Found' })
        }
    let current_host = store.state.front_end_data.domain_id;
    const data = await $axios.$get(`/api/page-detail/contact-us/${current_host}`);
    if (data.error) {
      return { page_content: null };
    }
    return { page_content: data };
  },
  data() {
    return {
      domain: this.$store.state.front_end_data.domain,
    }
  },
  head() {
    return {
      title: `${this.page_content.meta_title} - ${this.domain.name}`,
      script: [
        {
          src: '/front-end/js/google-analytics.js'
        }
      ],
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: `${this.page_content.meta_description}`
        },
        {
          hid: 'og:title',
          name: 'og:title',
          content: `${this.page_content.meta_title}`
        },
        {
          hid: 'og:description',
          name: 'og:description',
          content: `${this.page_content.meta_description}`
        }, {
          hid: 'og:type',
          name: 'og:type',
          content: "Website"
        },
        {
          hid: 'og:url',
          name: 'og:url',
          content: this.domain.url + this.$route.fullPath
        },
        {
          hid: 'og:url',
          name: 'og:site_name',
          content: this.domain.name
        },
        {
          hid: 'og:image',
          name: 'og:image',
          content: "/images/logo.png"
        },
        {
          hid: 'name',
          name: 'twitter:card',
          content: "summary_large_image"
        },
        {
          hid: 'name',
          name: 'twitter:title',
          content: `${this.page_content.meta_title}`
        },
        {
          hid: 'name',
          name: 'twitter:description',
          content: `${this.page_content.meta_description}`
        },
        {
          hid: 'name',
          name: 'twitter:image:src',
          content: "/images/logo.png"
        },
        {
          hid: 'name',
          name: 'twitter:site',
          content: this.domain.name
        },
      ],
    }
  },
  mounted() {
    setTimeout(() => {
      $('#contact-us').addClass('active_item');
    }, 0);
  },
}
</script>

